using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Self_Project
{
    public partial class GiveBackUP : Form
    {
        public GiveBackUP()
        {
            InitializeComponent();
        }
        BackUP B = new BackUP();
        private void GiveBackUP_Load(object sender, EventArgs e)
        {
            B.LoadAddress();
            txt_FilePath.Text = B.Path;
            txt_FileName.TEXT = Functions.FarsiDate("-");
        }

        private void btn_SearchPath_Click(object sender, EventArgs e)
        {
            DIR.SelectedPath = txt_FilePath.Text;
            DIR.ShowDialog();
            if (DIR.SelectedPath != "" && DIR.SelectedPath != txt_FilePath.Text)
            {
                txt_FilePath.Text = DIR.SelectedPath;
                if (txt_FilePath.Text.Length > 3) txt_FilePath.Text = txt_FilePath.Text + "\\";
            }
        }

        private void btn_OK_Click(object sender, EventArgs e)
        {
            try
            {
                B.Path = txt_FilePath.Text;
                B.Name = txt_FileName.TEXT;
            }
            catch (BackUP_Exceptions_Path ex)
            {
                MessageBox.Show(ex.Message, "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                txt_FilePath.Focus();
                return;
            }
            catch (BackUP_Exceptions_Name ex)
            {
                MessageBox.Show(ex.Message, "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                txt_FileName.Focus();
                return;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                return;
            }
            //--------------------------------------
            B.SetAddress();
            //--------------------------------------
            try
            {
                B.CreateBackUP();
            }
            catch
            {
                MessageBox.Show("سیستم قادر به گرفتن کپی پشتیبان نیست", "گرفتن کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                return;
            }
            MessageBox.Show("کپی پشتیبان با موفقیت گرفته شد", "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Information);
            this.Close();
        }

        private void btn_Cancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}